<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <meta charset="UTF-8" name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <style>
    #hinhnen{
        
        background-image:url(hinh/cover.jpg);
        width: 100%;
        height: 120px;
    }
</style>
</head>

<body>

<div class="container-fluid ">
    <div class="row">
        <img id="hinhnen" alt="">
    </div>
    <div class="container">
    <div class="row">

        <div class="col-md-5">
            <div class="row">
                <div class="col-md-4">
                    <label for="">User Name</label>
                </div>
                <div class="col-md-8">
                    <input id="inp-username" type="text" class="form-control">
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <label for="">First Name</label>
                </div>

                <div class="col-md-8">
                    <input id="inp-firstname" type="text" class="form-control">
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <label for="">Last Name</label>
                </div>
                <div class="col-md-8">
                    <input id="inp-lastname" type="text" class="form-control">
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="text-center">
                <button onclick="onBtnDiceClick()" class="btn btn-primary ">new dice</button>
            </div>
            
            <div class="col-md-12">
                <img id = "df-dice"src="hinh/dice.png" class="img-thumbnail" alt="">
            </div>

            <div class="col-md-12 text-center">
                <p id="inp-message">...</p>
            </div>
        </div>

        <div class="col-md-3">
        <div class="col-md-12">
            <div class="text-center">
            <p>Voucher</p>
            <p id="id-voucher" style="display:none ;">No Id</p>
            <p id="id-percent" style="display:none ;">0%</p>
        </div>

            </div>
            <div class="row form-group">
            <div class="col-md-12 text-center">
                <img id = "df-present"src="hinh/no-present.jpg" class="img-thumbnail"  alt="">    
            </div>
        </div>

        </div>
    </div>

    <div class="row text-center">
        <div class="col-12">
            <button class="btn btn-primary button-width " style="width:200px ">Dice History</button>
            <button class="btn btn-primary button-width "style="width:200px ">Voucher History</button>
            <button class="btn btn-primary button-width "style="width:200px ">Present History</button>
        </div>

    </div>
    <div class="container">
            <table id="user-table" class="table table-striped table-hover border">
              <thead>
                <tr>
                    <th>Lượt</th>
                    <th>Dice</th>  
                </tr>
                <tr>
                    <th>1</th>
                    <th>2</th>  
                </tr>
                <tr>
                    <th>1</th>
                    <th>2</th>  
                </tr>
              </thead>
              <tbody>
        
              </tbody>
            </table>
    </div>

</div>
</div>
            
  
    
</body>
    

<script>

    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    const vBASE_URL = "http://42.115.221.44:8080/devcamp-lucky-dice/";
    const vUTF8_TEXT_APPLICATION_HEADER = "application/json;charset=UTF-8";


    var gUser = {
        username:"",
        firstname:"",
        lastname:""
    }
    "use strict";
    function getData(param){
        var vInputUser = document.getElementById("inp-username")
        var vInputFirstName = document.getElementById("inp-username")
        var vInputLastName = document.getElementById("inp-username")

        param.username = vInputUser.value.trim();
        param.firstname = vInputFirstName.value.trim();
        param.lastname = vInputLastName.value.trim();
    }
    function checkData(param){
        if(param.username === ""){
            alert("nhập vào username ")
            return false;
        }
        if(param.firstname === ""){
            alert("nhập vào firstname ")
            return false;
        }
        if(param.lastname === ""){
            alert("nhập vào lastname ")
            return false;
        }
        return true;
    }
    function getApi(paramRequest,paramOb){
        paramRequest.open("POST", vBASE_URL + "/dice", true);
        paramRequest.setRequestHeader("Content-Type", vUTF8_TEXT_APPLICATION_HEADER);
        paramRequest.send(JSON.stringify(paramOb));
    }
    function onBtnDiceClick(){
        getData(gUser);

        var vXHTMLRequest = new XMLHttpRequest(gUser)

        getApi(vXHTMLRequest ,gUser)
       var vCheck = checkData(gUser)
       if(vCheck == true){
        vXHTMLRequest.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(vXHTMLRequest.responseText);

                var vParse = JSON.parse(vXHTMLRequest.responseText);
                // get result dice
                var vDiceReady = vParse.dice;
              

                console.log("dice result:= " + vDiceReady);
            
                var vDFpresent = document.getElementById("df-present")
                var vDefaultDice = document.getElementById("df-dice");
                var vIdVoucher = document.getElementById("id-voucher");
                var vPercent = document.getElementById("id-percent");
                var vMessage = document.getElementById("inp-message")
                
                if(vDiceReady <= 3) {
                    switch(vDiceReady){
                        case 1 : {
                            vDefaultDice.src = "hinh/1.png" ;
                            vIdVoucher.style.display = "block" ;
                            vIdVoucher.innerHTML = "ko có voucher"
                            
                            vPercent.style.display = "block" ;
                            vPercent.innerHTML = "ko có mã giảm giá  "
                            vMessage.innerHTML = "Thử lại lần sau "
                            break ;
                        } 
                        
                        case 2 : {
                            vDefaultDice.src = "hinh/2.png"
                            vIdVoucher.style.display = "block" ;
                            vIdVoucher.innerHTML = "ko có voucher"
                            
                            vPercent.style.display = "block" ;
                            vPercent.innerHTML = "ko có mã giảm giá  "
                            vMessage.innerHTML = "Thử lại lần sau "
                            break ;
                        } 

                        case 3 : {
                            vDefaultDice.src = "hinh/3.png"
                            vIdVoucher.style.display = "block" ;
                            vIdVoucher.innerHTML = "ko có voucher"
                            
                            vPercent.style.display = "block" ;
                            vPercent.innerHTML = "ko có mã giảm giá  "
                            vMessage.innerHTML = "Thử lại lần sau "
                            break ;
                        } 
                    }
                }       
                        else if (vDiceReady >= 4) {
                            switch(vDiceReady){

                        case 4 : {
                            vDefaultDice.src = "hinh/4.png"
                            vIdVoucher.style.display = "block" ;
                            vIdVoucher.innerHTML = " mã voucher là : " + vParse.voucher.maVoucher;
                            
                            vPercent.style.display = "block" ;
                            vPercent.innerHTML = "dc giảm : " + vParse.voucher.phanTramGiamGia + "%"; 
                            vMessage.innerHTML = "Chúc mừng "
                            break ;
                        } 
                        
                        case 5 : {
                            vDefaultDice.src = "hinh/5.png"
                            vIdVoucher.style.display = "block" ;
                            vIdVoucher.innerHTML = " mã voucher là : " + vParse.voucher.maVoucher;
                            
                            vPercent.style.display = "block" ;
                            vPercent.innerHTML = "dc giảm : " + vParse.voucher.phanTramGiamGia + "%"; 
                            vMessage.innerHTML = "Chúc mừng "
                            break ;
                        } 

                        case 6 : {
                            vDefaultDice.src = "hinh/6.png"
                            vIdVoucher.style.display = "block" ;
                            vIdVoucher.innerHTML = " mã voucher là : " + vParse.voucher.maVoucher;
                            
                            vPercent.style.display = "block" ;
                            vPercent.innerHTML = "dc giảm : " + vParse.voucher.phanTramGiamGia + "%"; 
                            vMessage.innerHTML = "Chúc mừng "
                            break ;
                        }
                    }  
                        switch(vParse.prize){
                        case "Mũ" : {
                            vDFpresent.src ="hinh/hat.jpg"
                            break;
                        }
                        case "Ô tô" :{
                            vDFpresent.src ="hinh/car.jpg"
                            break;
                        }
                        case "Áo" :{
                            vDFpresent.src ="hinh/t-shirt.jpg"
                            break;
                        }
                        case "Xe máy" :{
                            vDFpresent.src ="hinh/xe-may.jpg"
                            break;
                        }
                        case null : {
                            vDFpresent.src ="hinh/no-present.jpg"
                            break;
                        }
                    }
                }      
                       
                }    
            }   
        }
    }    


</script>
</html>